PANDA_STROKELINE(3)

NAME
panda_strokeline - stroke the line shape we have just drawn

SYNOPSIS
 #include<panda/constants.h>
 #include<panda/functions.h>
 void panda_strokeline (panda_page * target);

DESCRIPTION

This function must be called for the line shape that we have drawn to actually display on the PDF page. This process is known as 'stroking', and hence the name of this function call.

RETURNS

Nothing

EXAMPLE

#include<panda/constants.h> #include<panda/functions.h> panda_pdf *document; panda_page *page; panda_init(); document = panda_open("filename.pdf", "w"); page = panda_newpage (document, panda_pagesize_a4); panda_setlinestart (page, 100, 200); panda_addlinesegment (page, 200, 200); panda_strokeline (page); panda_endline (page);

SEE ALSO

panda_setlinestart, panda_addlinesegment, panda_addcubiccurvesegment, panda_addquadraticsegmentone, panda_addquadraticcurvesegmenttwo, panda_closeline, panda_rectangle, panda_endline, panda_fillline, panda_setlinewidth, panda_setlinecap, panda_setlinejoin, panda_setlinedash, panda_setfillcolor, panda_setlinecolor

VERSION

This documentation was generated for Panda 0.4.2 by autodocbook (http://www.stillhq.com).

AUTHOR

Panda is under development by Michael Still (mikal@stillhq.com). All code is Copyright Michael Still 2000 and 2001, and is released under the GNU GPL. Code submissions are welcomed. Contact Michael at the address above if you have something you would like to contribute.

BUGS

There are no known bugs in Panda. If you find one, please contact mikal@stillhq.com and let me know.